Package org.eclipse.draw2d

# Class Figure.FigureIterator

java.lang.Object
org.eclipse.draw2d.Figure.FigureIterator

Direct Known Subclasses:
  `Figure.ReverseFigureChildrenIterator`

Enclosing class:
  `Figure`

@Deprecated(forRemoval=true, since="2025-09") public static class Figure.FigureIterator extends Object
Deprecated, for removal: This API element is subject to removal in a future version.
use ReverseFigureChildrenIterator instead. This class will be removed after the 2027-09 release.
Iterates over a Figure's children in reverse order.

## Constructor Summary

Constructors
Constructor
Description
`FigureIterator(IFigure figure)`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new FigureIterator for the given Figure.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns `true` if there's another Figure to iterate over.
`IFigure`
`nextFigure()`
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the next Figure.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FigureIterator

public FigureIterator(IFigure figure)
Deprecated, for removal: This API element is subject to removal in a future version.
Constructs a new FigureIterator for the given Figure.

Parameters:
  `figure` - The Figure whose children to iterate over

## Method Details

### nextFigure

public IFigure nextFigure()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns the next Figure.

Returns:
  The next Figure

### hasNext

public boolean hasNext()
Deprecated, for removal: This API element is subject to removal in a future version.
Returns `true` if there's another Figure to iterate over.

Returns:
  `true` if there's another Figure to iterate over